﻿
       body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: black;
            color: red;

        }
        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            background-color: black;
            padding: 20px 20px;
            position: sticky;
            top: 0;
            z-index: 1000;
        }
        .header .name {
            color: red;
            font-size: 28px;
            font-weight: bold;
        }
        .nav {
            display: flex;
            align-items: center;
        }
        .nav a {
            color: red;
            text-decoration: none;
            padding: 10px 20px;
            position: relative;
        }
        .nav a:hover {
            background-color: #ffff00;
        }
        .nav .dropdown {
            position: relative;
        }
        .nav .dropdown-content {
            display: none;
            position: absolute;
            top: 100%;
            left: 0;
            background-color: black;
            min-width: 160px;
            z-index: 1;
        }
        .nav .dropdown-content a {
            padding: 10px;
            display: block;
        }
        .nav .dropdown:hover .dropdown-content {
            display: block;
        }
        .hamburger {
            display: none;
            flex-direction: column;
            cursor: pointer;
        }
        .hamburger div {
            width: 25px;
            height: 3px;
            background-color: red;
            margin: 4px 0;
        }
        .content {
            padding: 20px;
        }
        @media (max-width: 768px) {
            .nav {
                display: none;
                flex-direction: column;
                position: absolute;
                top: 60px;
                left: 0;
                width: 100%;
                background-color: black;
            }
            .nav a {
                padding: 15px;
                text-align: center;
            }
            .nav .dropdown-content {
                position: static;
                background-color: black;
            }
            .hamburger {
                display: flex;
            }
            .nav.active {
                display: flex;
                animation: slideDown 0.5s ease-in-out;
            }
            .content {
                transition: margin-top 0.5s ease-in-out;
            }
            .content.shifted {
                margin-top: 200px; /* Verschiebt den Inhalt nach unten */
            }
        }
        @keyframes slideDown {
            from {
                opacity: 0;
                transform: translateY(-20px);
            }
            to {
                opacity: 1;
                transform: translateY(0);
            }
        }
    .auto-style1 {
		text-align: center;
	}
	
	.footer {
            display: flex;
            justify-content: space-between;
            background-color: black;
            padding: 10px;
            color: red;
        }
    .auto-style3 {
		text-decoration: none;
	}
    .auto-style10 {
	color: #FF0000;
}
   
.gallery {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 20px;
            padding: 20px;
        }
        @media (max-width: 768px) {
            .gallery {
                grid-template-columns: repeat(1, 1fr);
            }
        }
        .image-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: flex-end;
            cursor: pointer;
        }
        
        
        .gallery2 {
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            gap: 20px;
            padding: 20px;
        }
        @media (max-width: 768px) {
            .gallery2 {
                grid-template-columns: repeat(2, 1fr);
            }
        }
        .image-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            cursor: pointer;
        }

        
        .gallery3 {
            display: grid;
            grid-template-columns: repeat(1, 1fr);
            gap: 20px;
            padding: 20px;
        }
        @media (max-width: 768px) {
            .gallery3 {
                grid-template-columns: repeat(1, 1fr);
            }
        }
        .image-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: flex-end;
            cursor: pointer;
        }

        
        
        .image-container img {
            max-width: 100%;
            height: auto;
        }
        .image-title {
            text-align: center;
            min-height: 20px;
        }
        .lightbox {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: black;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            z-index: 20;
        }
        .lightbox img {
            max-width: 80%;
            max-height: 80%;
        }
        .lightbox-title {
            margin-top: 10px;
            color: red;
            font-size: 20px;
            text-align: center;
        }
        .close {
            position: absolute;
            top: 10px;
            right: 20px;
            font-size: 30px;
            cursor: pointer;
            color: red;
        }
        .lightbox-arrow {
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            font-size: 24px;
            cursor: pointer;
            color: red;
            background: rgba(0, 0, 0, 0.5);
            padding: 5px;
            border-radius: 5px;
        }
        .lightbox-arrow.left {
            left: 10px;
        }
        .lightbox-arrow.right {
            right: 10px;
        }
        
        /* Scroll-to-Top Button */
        .scroll-top {
            display: none;
            position: fixed;
            bottom: 70px;
            right: 20px;
            width: 40px;
            height: 30px;
            background-color: red;
            color: black;
            border-radius: 50%;
            text-align: center;
            font-size: 24px;
            cursor: pointer;
            box-shadow: 2px 2px 5px rgba(255, 255, 255, 0.5);
        }
        
        .footer {
            display: flex;
            justify-content: space-between;
            background-color: black;
            padding: 10px;
            color: red;
        }
    .auto-style3 {
		text-decoration: none;
	}
    .auto-style10 {
	color: #FF0000;
}
    /* Works on Firefox */
* {
  scrollbar-width: thin;
  scrollbar-color: red black;
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 12px;
}

*::-webkit-scrollbar-track {
  background: red;
}

*::-webkit-scrollbar-thumb {
  background-color: black;
  border-radius: 20px;
  border: 5px solid red;
} 
 

@media screen and (max-width: 768px) {
    .header {
        display: flex;
        flex-direction: column;
        align-items: center; /* Zentriert den Namen und das Menü */
        text-align: center;
    }

    .hamburger {
        margin-top: 10px; /* Abstand zum Namen */
    }
}

